GET /api/v3/flag/flagType

Retrieves a list of all available flag types

GetFlagTypesV3 Permissions: FlaggedItems (View)
Use this endpoint to get all flag types (both system-defined and user-created) for populating flag type dropdowns. System flag types cannot be deleted.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

FlagTypeChild
Property Description Type
flagTypeId The flag type identifier integer (int32)
flagTypeInfo Flag type information string
Example Response application/json
[
  {    "flagTypeId": 1,    "flagTypeInfo": "string"
  }
]